/*------------------------------------------------------------------*/
/* ---ƣӸԴ              ----------------------------*/
/* ---ߣɽ                      ----------------------------*/
/* ---汾V5.5                        ----------------------------*/ 
/* ---дʱ䣺20181227      ----------------------------*/
/* ȨԴɽУѧϰע */
/* Ͻҵ													     */
/*-------------------------------------------------------------------*/

#ifndef __EEPROM_H__
#define __EEPROM_H__

#include"delay.h"

#define WT_30M          0x80
#define WT_24M          0x81
#define WT_20M          0x82
#define WT_12M          0x83
#define WT_6M           0x84
#define WT_3M           0x85
#define WT_2M           0x86
#define WT_1M           0x87



void IapIdle()
{
    IAP_CONTR = 0;                              //رIAP
    IAP_CMD = 0;                                //Ĵ
    IAP_TRIG = 0;                               //Ĵ
    IAP_ADDRH = 0x80;                           //ַõIAP
    IAP_ADDRL = 0;
}

char IapRead(int addr)
{
    char dat;

    IAP_CONTR = WT_12M;                         //ʹIAP
    IAP_CMD = 1;                                //IAP
    IAP_ADDRL = addr;                           //IAP͵ַ
    IAP_ADDRH = addr >> 8;                      //IAPߵַ
    IAP_TRIG = 0x5a;                            //д(0x5a)
    IAP_TRIG = 0xa5;                            //д(0xa5)
    _nop_();
    dat = IAP_DATA;                             //IAP
    IapIdle();                                  //رIAP

    return dat;
}

void IapProgram(int addr, char dat)
{
    IAP_CONTR = WT_12M;                         //ʹIAP
    IAP_CMD = 2;                                //IAPд
    IAP_ADDRL = addr;                           //IAP͵ַ
    IAP_ADDRH = addr >> 8;                      //IAPߵַ
    IAP_DATA = dat;                             //дIAP
    IAP_TRIG = 0x5a;                            //д(0x5a)
    IAP_TRIG = 0xa5;                            //д(0xa5)
    _nop_();
    IapIdle();                                  //رIAP
}

void IapErase(int addr)
{
    IAP_CONTR = WT_12M;                         //ʹIAP
    IAP_CMD = 3;                                //IAP
    IAP_ADDRL = addr;                           //IAP͵ַ
    IAP_ADDRH = addr >> 8;                      //IAPߵַ
    IAP_TRIG = 0x5a;                            //д(0x5a)
    IAP_TRIG = 0xa5;                            //д(0xa5)
    _nop_();                                    //
    IapIdle();                                  //رIAP
}



#endif