#include "stc8f.h"
#include <intrins.h>
//#include <reg52.h>

sbit LCD_RS=P7^2;    //
sbit LCD_RW=P7^1;
sbit LCD_E =P7^0;
#define LCD_Data P2
#define Busy    0x80 //ڼLCD״̬еBusyʶ

#define Lie  P0

sbit Hang_1=P7^3;
sbit Hang_2=P7^5;
sbit Hang_3=P7^4;

unsigned char SET_TEMP1,SET_TEMP2,SET_TEMP3,SET_TEMP4,SET_TEMP5;
unsigned char Set_num[7];
unsigned long In_Dat;
unsigned char Float_Pos,Float_Pos2,Dat_Pos,Dat_Pos2;
bit Float_Flag=0;


/***************************************
   ʱ
***************************************/
void Delay_1MS(unsigned int z)
{
	unsigned int x,y;
	for(x=z;x>0;x--)
		for(y=100;y>0;y--);
}

/***************************************
   lcd ݶȡ
***************************************/
unsigned char lcd_read()
{
	unsigned char temp;
	LCD_E = 0;
	LCD_Data = 0xFF; 
	LCD_RS = 0;
	LCD_RW = 1;
	LCD_E = 1;
	Delay_1MS(1);
	temp=LCD_Data;
	Delay_1MS(1);
	LCD_E = 0;
	return temp;
}

/***************************************
    lcd Ƿæµ   
***************************************/
void lcd_busy()
{
	unsigned char temp;
	do
	{
		temp=lcd_read();
	}
	while((temp&0x80)==0x80);
}
/****************************************
     lcdдָ
*****************************************/
void WriteCommandLCD(unsigned char WCLCD,BuysC) //BuysCΪ0ʱæ
{
	lcd_busy();
	LCD_E = 0;
//	Delay_1MS(1);
	LCD_Data = WCLCD; 
	Delay_1MS(1);
	LCD_RS = 0; 
	LCD_RW = 0;
	LCD_E = 1; 
	LCD_E = 0;
}
/****************************************
     lcdд
*****************************************/
void WriteDataLCD(unsigned char WDLCD)
{
	lcd_busy();
	LCD_E = 0; //ʱ
//	Delay_1MS(1);
	LCD_Data = WDLCD;
	Delay_1MS(1);
	LCD_RS = 1;
	LCD_RW = 0;
	LCD_E = 1;
	LCD_E = 0; 

}

/****************************************
     lcdдַ
*****************************************/
void lcd_gets(char *dat)
{
	while(*dat!=0)
	{
		WriteDataLCD(*dat);
		dat++;
	}
}

/*****************************************
      ȷҪдλӼx y 
******************************************/
void lcd_xy(unsigned char x,unsigned char y)
{
 switch(y)
 {
  case 0:WriteCommandLCD(0x80+x,0);break;//һеXλ
  case 1:WriteCommandLCD(0xc0+x,0);break;//0xc0==0x80+0x50 ڶеXλ
  case 2:WriteCommandLCD(0x94+x,0);break;//
  case 3:WriteCommandLCD(0xd4+x,0);break;//4*20
 }
}
/****************************************************
 ʾ5*10  5*8 MODE=1 5*8  MODE=0 5*10
****************************************************/
//void add_custom_word(unsigned char *dat,unsigned char len,unsigned char mode)
//{
//  unsigned char n,m;
//  for(n=0;n<len;n++)
//    {
//  if(mode)
//  {
//   WriteCommandLCD(0x40+8*n,0);
//    for(m=0;m<8;m++)
//       {
//    WriteDataLCD(*dat);
//     dat++;
//    }
//   }
//   else 
//    {
//    WriteCommandLCD(0x40+10*n,0);
//    for(m=0;m<10;m++)
//       {
//    WriteDataLCD(*dat);
//     dat++;
//    }
//   }
// }
//}


void LCDInit(void) //LCMʼ
{
	 LCD_Data = 0;
	 WriteCommandLCD(0x30,0); //ʾģʽãæź
	 Delay_1MS(10); 
	 WriteCommandLCD(0x30,0);
	 Delay_1MS(10); 
	 WriteCommandLCD(0x30,0);
	 Delay_1MS(10);
	 WriteCommandLCD(0x38,1); //ʾģʽ,ʼҪÿμæź 
	//  Delay_1MS(50);
	 WriteCommandLCD(0x08,1); //رʾ
	//  Delay_1MS(50);
	 WriteCommandLCD(0x01,1); //ʾ 
	//  Delay_1MS(50);
	 WriteCommandLCD(0x06,1); // ʾƶ
	//  Delay_1MS(50);
	 WriteCommandLCD(0x0C,1); // ʾ
	// Delay_1MS(50);
}

void Lcd_Disp(unsigned char x,unsigned char y,bit zz,unsigned char dat)
{
	lcd_xy(x,y);
	if(zz==1)
		WriteDataLCD(dat+'0');
	else
	    WriteDataLCD(dat);
}

unsigned char Key_Driver()
{
	unsigned char Key_temp;
	Hang_1=0;
	Hang_2=1;
	Hang_3=1;	
	if(Lie!=0xff)
	{
		Delay_1MS(5);
		if(Lie!=0xff)
		{
			Key_temp=Lie;
			Key_temp=~Key_temp;
			Key_temp+=10;
			while(Lie!=0xff);
		}
	}

    Hang_1=1;
	Hang_2=0;
	Hang_3=1;
	if(Lie!=0xff)
	{
		Delay_1MS(5);
		if(Lie!=0xff)
		{
			Key_temp=Lie;
			Key_temp=~Key_temp;
			Key_temp+=20;
			while(Lie!=0xff);
		}
	}

	Hang_1=1;
	Hang_2=1;
	Hang_3=0;
	if(Lie!=0xff)
	{
		Delay_1MS(5);
		if(Lie!=0xff)
		{
			Key_temp=Lie;
			Key_temp=~Key_temp;
			Key_temp+=30;
			while(Lie!=0xff);
		}
	}

	Hang_1=1;
	Hang_2=1;
	Hang_3=1;
	
	if((Key_temp<35)&&(Key_temp>10))
	{
		switch (Key_temp)
		{
			case 28: Key_temp=0;break;
			case 11: Key_temp=1;break;
			case 12: Key_temp=2;break;
			case 14: Key_temp=3;break;
			case 21: Key_temp=4;break;

			case 22: Key_temp=5;break;
			case 24: Key_temp=6;break;
			case 31: Key_temp=7;break;
			case 32: Key_temp=8;break;
			case 34: Key_temp=9;break;
			default:
				break;
		}	
	}

	return Key_temp;			
}



void InPut_Data_Disp(unsigned long Dat)	//	  1500
{
//	unsigned int Dat_temp;
	unsigned char i;
//	Dat_temp=Dat;

	for(i=5;i>0;i--)
	{
		Set_num[i]=Set_num[i-1];
	}
	Set_num[0]=Dat%10+'0';

//	Float_Pos=0;	   //Сλ
//	Dat_Pos=0;	

//	if(Float_Pos!=0)
//	{
//		if(Float_Pos==1)
//		{

//		for(i=5;i>0;i--)
//		{
//			Set_num[i-1]=(Dat_temp%10)+'0';
//			Dat_temp=Dat_temp/10;
//		}

}



void main(void)
{
	unsigned char temp,j;	


	Hang_1=1;
	Hang_2=1;
	Hang_3=1;
	Lie=0xff;
    Delay_1MS(300);
	LCDInit(); //LCMʼ

	lcd_xy(0,0);
	lcd_gets("  0.00V  0.000A 0FF ");
	lcd_xy(0,1);
	lcd_gets("STANDARD CURR=      ");
	Lcd_Disp(19,1,0,'A');

	In_Dat=0;
	Float_Pos=0;	   //Сλ
	Float_Pos2=0;
	Dat_Pos=0;		   //λ

//	Set_num[0]=0+'0';
//	Set_num[1]=0+'0';
//	Set_num[2]=0+'0';
//	Set_num[3]='.';
//	Set_num[4]=5+'0';

	Set_num[0]=' ';
	Set_num[1]=' ';
	Set_num[2]=' ';
	Set_num[3]=' ';
	Set_num[4]=' ';
	temp=0;

    while(1)
	{
		Lcd_Disp(2,0,0,In_Dat/10000+'0');
		Lcd_Disp(3,0,0,In_Dat%10000/1000+'0');
		Lcd_Disp(4,0,0,In_Dat%10000%1000/100+'0');
		Lcd_Disp(5,0,0,In_Dat%10000%1000%100/10+'0');
		Lcd_Disp(6,0,0,In_Dat%10000%1000%100%10+'0');


		Lcd_Disp(14,1,0,Set_num[4]);	
		Lcd_Disp(15,1,0,Set_num[3]);			
		Lcd_Disp(16,1,0,Set_num[2]);
		Lcd_Disp(17,1,0,Set_num[1]);
		Lcd_Disp(18,1,0,Set_num[0]);

//		temp=Key_Driver();
//
//		Set_num[2]=(temp/10)+'0';
//		Set_num[1]=(temp%10)+'0';



//		if(Dat_Pos<6)
//		{
		 //	
			temp=Key_Driver();	
			if(temp<10)
			{
				 In_Dat=(In_Dat*10)+temp;
				 InPut_Data_Disp(In_Dat);		 	
			}

			if((temp==38)&&(Float_Flag==0))
			{

				for(j=5;j>0;j--)
				{
					Set_num[j]=Set_num[j-1];
				}

				Set_num[0]='.';
				Float_Flag=1;

			}					
//		}
	}
}











//
//		if((Dat_Pos>0)&&(Float_Flag==0))
//		{
//				Lcd_Disp(14,1,0,' ');	
//				Lcd_Disp(15,1,0,' ');			
//				Lcd_Disp(16,1,0,' ');
//				Lcd_Disp(17,1,0,Set_num[3]);
//				Lcd_Disp(18,1,0,Set_num[4]);
//		}
//
//		if((Dat_Pos>1)&&(Float_Flag==0))
//		{
//				Lcd_Disp(14,1,0,' ');	
//				Lcd_Disp(15,1,0,' ');			
//				Lcd_Disp(16,1,0,Set_num[2]);
//				Lcd_Disp(17,1,0,Set_num[3]);
//				Lcd_Disp(18,1,0,Set_num[4]);
//		}
//
//
//		if((Dat_Pos2>1)&&(Float_Flag==1))
//		{
//
//			if(Float_Pos==0)
//			{
//				Lcd_Disp(14,1,0,' ');	
//				Lcd_Disp(15,1,0,' ');			
//				Lcd_Disp(16,1,0,' ');
//				Lcd_Disp(17,1,0,Set_num[3]);
//				Lcd_Disp(18,1,0,Set_num[4]);
//			}
//			if(Float_Pos==1)
//			{
//				Lcd_Disp(14,1,0,' ');	
//				Lcd_Disp(15,1,0,' ');			
//				Lcd_Disp(16,1,0,Set_num[3]);
//				Lcd_Disp(17,1,0,Set_num[4]);
//				Lcd_Disp(18,1,0,'.');
//			}
//	
//			if(Float_Pos==2)
//			{
//				Lcd_Disp(14,1,0,' ');	
//				Lcd_Disp(15,1,0,Set_num[2]);			
//				Lcd_Disp(16,1,0,Set_num[3]);
//				Lcd_Disp(17,1,0,'.');
//				Lcd_Disp(18,1,0,Set_num[4]);
//			}
//	
//			if(Float_Pos==3)
//			{
//				Lcd_Disp(14,1,0,Set_num[1]);	
//				Lcd_Disp(15,1,0,Set_num[2]);			
//				Lcd_Disp(16,1,0,'.');
//				Lcd_Disp(17,1,0,Set_num[3]);
//				Lcd_Disp(18,1,0,Set_num[4]);
//			}	
//		}





//	if((Dat_temp/1000)>0)
//		Set_num[0]=(Dat_temp/1000)+'0';
//	else
//		Set_num[0]=' ';	
//
//	if((Dat_temp%1000/100)>0)
//		Set_num[1]=(Dat_temp%1000/100)+'0';
//	else
//		Set_num[1]=' ';	
//
//	if((Dat_temp%1000%100/10)>0)
//		Set_num[2]=(Dat_temp%1000%100/10)+'0';
//	else
//		Set_num[2]=' ';	
//
//	if((Dat_temp%1000%100%10)>0)
//		Set_num[3]=(Dat_temp%1000%100%10)+'0';
//	else
//		Set_num[3]=' ';
//
//        Set_num[4]=' ';








//
//	if(Float_Pos!=0)
//	{
//		if(Float_Pos==1)
//		{
//			Lcd_Disp(14,1,1,In_Dat/1000);		 //һλ
//			Lcd_Disp(15,1,0,'.');			
//			Lcd_Disp(16,1,1,In_Dat%1000/100);
//			Lcd_Disp(17,1,1,In_Dat%1000%100/10);
//			Lcd_Disp(18,1,1,In_Dat%1000%100%10);
//		}
//
//		else if(Float_Pos==2)
//		{
//			Lcd_Disp(14,1,1,In_Dat/1000);		 //һλ
//			Lcd_Disp(15,1,1,In_Dat%1000/100);			
//			Lcd_Disp(16,1,0,'.');
//			Lcd_Disp(17,1,1,In_Dat%1000%100/10);
//			Lcd_Disp(18,1,1,In_Dat%1000%100%10);
//		}
//		else if(Float_Pos==2)
//		{
//			Lcd_Disp(14,1,1,In_Dat/1000);		 //һλ
//			Lcd_Disp(15,1,1,In_Dat%1000/100);			
//			Lcd_Disp(16,1,1,In_Dat%1000%100/10);
//			Lcd_Disp(17,1,0,'.');
//			Lcd_Disp(18,1,1,In_Dat%1000%100%10);
//		}
//	}
//	else if(Float_Pos==0)
//	{
////		Lcd_Disp(14,1,0,'0');		 
//		Lcd_Disp(15,1,1,In_Dat/1000);			
//		Lcd_Disp(16,1,1,In_Dat%1000/100);
//		Lcd_Disp(17,1,1,In_Dat%1000%100/10);
//		Lcd_Disp(18,1,1,In_Dat%1000%100%10);	
//	
//	}
//	else if((Dat_Pos==0)&&(Float_Pos==0))
//	{
//		Lcd_Disp(14,1,0,'0');		 
//		Lcd_Disp(15,1,0,'.');			
//		Lcd_Disp(16,1,1,In_Dat%1000/100);
//		Lcd_Disp(17,1,1,In_Dat%1000%100/10);
//		Lcd_Disp(18,1,1,In_Dat%1000%100%10);
//	}




 //	lcd_xy(0,0);
//	lcd_gets("  www.dianyuan.com  ");
//	lcd_xy(0,1);
//	lcd_gets("DESIGNER YUE 17-8-23");
//	Delay_1MS(2000);
//		lcd_xy(0,0);
//	lcd_gets("                    ");
//	lcd_xy(0,1);
//	lcd_gets("                    ");




//	
//	DisplayOneChar(0,0,0+'0');
//	Delay5Ms();
//	DisplayOneChar(1,0,0+'0');
//	DisplayOneChar(2,0,0+'0');
//	DisplayOneChar(3,0,0+'0');
//	DisplayOneChar(4,0,0+'0');
//	P73=0;
//	P74=0;
//	P75=0;
//	P0=0XFF;
//	temp=123;










//
// 	DisplayOneChar(0,0,1+'0');
//	Delay5Ms();
//	DisplayOneChar(1,0,3+'0');
//	DisplayOneChar(2,0,4+'0');
//	DisplayOneChar(3,0,2+'0');
//	DisplayOneChar(4,0,5+'0');
////
////	DisplayOneChar(5,0,5+'0');
////	DisplayOneChar(6,0,5+'0');
////	DisplayOneChar(7,0,'0');
////	DisplayOneChar(8,0,'0');
////	DisplayOneChar(9,0,'0');
//
//	DisplayOneChar(10,0,'1');
//	DisplayOneChar(11,0,'0');
//	DisplayOneChar(12,0,'1');
//	DisplayOneChar(13,0,'1');
//	DisplayOneChar(14,0,'1');
////
////	DisplayOneChar(15,0,'2');
////	DisplayOneChar(16,0,'1');
////	DisplayOneChar(17,0,'3');
////	DisplayOneChar(18,0,'1');
////	DisplayOneChar(19,0,'4');
//
//
////
////	DisplayOneChar(0,1,'A');
////	 Delay5Ms();
////	DisplayOneChar(1,1,'B');
////	 Delay5Ms();
////	DisplayOneChar(2,1,'C');
////	DisplayOneChar(3,1,'D');
////	DisplayOneChar(4,1,'E');
//
//	DisplayOneChar(5,1,'F');
//	DisplayOneChar(6,1,'G');
//	DisplayOneChar(7,1,'H');
//	DisplayOneChar(8,1,'I');
//	DisplayOneChar(9,1,'J');
//
////	DisplayOneChar(10,1,'K');
////	DisplayOneChar(11,1,'L');
////	DisplayOneChar(12,1,'M');
////	DisplayOneChar(13,1,'N');
////	DisplayOneChar(14,1,'O');
//
//	DisplayOneChar(15,1,'P');
//	DisplayOneChar(16,1,'Q');
//	DisplayOneChar(17,1,'R');
//	DisplayOneChar(18,1,'S');
//	DisplayOneChar(19,1,5+'0');
















//
 


// DisplayListChar(0, 0, uctech);
// DisplayListChar(0, 1, net);
// ReadDataLCD();//þ


//ָλʾһַ
//void DisplayListChar(unsigned char X, unsigned char Y, unsigned char code *DData)
//{
// unsigned char ListLength;
//
//  ListLength = 0;
//// Y &= 0x1;
//// X &= 0xF; //Xܴ15Yܴ1
// while (DData[ListLength]>=0x15) //ִβ˳
//  {
////   if (X <= 0x14) //XӦС0xF
////    {
//     DisplayOneChar(X, Y, DData[ListLength]); //ʾַ
//     ListLength++;
//     X++;
////    }
//  }
//}