#include "stc8f.h"
#include <intrins.h>
//#include <reg52.h>

sbit LCD_RS=P7^2;//
sbit LCD_RW=P7^1;
sbit LCD_E =P7^0;
#define LCD_Data P2
#define Busy    0x80 //ڼLCD״̬еBusyʶ


//5msʱ
void Delay5Ms(void)
{
 unsigned int TempCyc = 5552;
 while(TempCyc--);
}

//400msʱ
void Delay400Ms(void)
{
 unsigned char TempCycA = 15;   //5
 unsigned int TempCycB;
 while(TempCycA--)
 {
  TempCycB=7269;
  while(TempCycB--);
 };
}

//״̬
unsigned char ReadStatusLCD(void)
{
 LCD_Data = 0xFF; 
 LCD_RS = 0;
  Delay5Ms(); 
 LCD_RW = 1;
  Delay5Ms(); 
 LCD_E = 0;
 LCD_E = 0;
  Delay5Ms(); 
 LCD_E = 1;
 	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_(); 
 while (LCD_Data & Busy); //æź
 return(LCD_Data);
}



//д
void WriteDataLCD(unsigned char WDLCD)
{
	ReadStatusLCD(); //æ
	LCD_Data = WDLCD;
	LCD_RS = 1;
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_(); 
	LCD_RW = 0;
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_(); 
	LCD_E = 0; //ٶ̫߿Сʱ
	LCD_E = 0; //ʱ
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	LCD_E = 1;
		_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_(); 
}

//дָ
void WriteCommandLCD(unsigned char WCLCD,BuysC) //BuysCΪ0ʱæ
{
	if (BuysC) ReadStatusLCD(); //Ҫæ
	LCD_Data = WCLCD; 
	LCD_RS = 0; 
		_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_(); 
	LCD_RW = 0;
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_(); 
		_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_(); 
	LCD_E = 0;
	LCD_E = 0;
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	LCD_E = 1; 
		_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_();
	_nop_();  _nop_(); _nop_(); 
}

////
//unsigned char ReadDataLCD(void)
//{
// LCD_RS = 1; 
// LCD_RW = 1;
// LCD_E = 0;
// LCD_E = 0;
// LCD_E = 1;
// return(LCD_Data);
//}



//ָλʾһַ
void DisplayOneChar(unsigned char X, unsigned char Y, unsigned char DData)
{
unsigned char Addr_x;
 if (Y==0) 
 {
   Addr_x=0x80;     //Ҫʾڶʱַ;
 }
 else if(Y==1)
 {
   Addr_x=0x80+0x40;//Ҫʾڶʱַ+0x40;
 }

 WriteCommandLCD(Addr_x+X,0); //ﲻæźţ͵ַ
 WriteDataLCD(DData);
}



void LCDInit(void) //LCMʼ
{
 LCD_Data = 0;
 WriteCommandLCD(0x38,0); //ʾģʽãæź
 Delay5Ms(); 
 WriteCommandLCD(0x38,0);
 Delay5Ms(); 
 WriteCommandLCD(0x38,0);
 Delay5Ms(); 
 WriteCommandLCD(0x38,1); //ʾģʽ,ʼҪÿμæź
 WriteCommandLCD(0x08,1); //رʾ
 WriteCommandLCD(0x01,1); //ʾ
 WriteCommandLCD(0x06,1); // ʾƶ
 WriteCommandLCD(0x0C,1); // ʾ



}

void main(void)
{
//	P7=~0x55;
//	P2=~0X55;

	//
//	P7M0=0XFF;
//	P7M1=0X00;
//
//	P2M0=0XFF;
//	P2M1=0X00;
//
	Delay400Ms(); //ȴLCD빤״̬
	LCDInit(); //LCMʼ
	Delay5Ms(); //ʱƬ(ɲҪ)
	
	DisplayOneChar(0,0,1+'0');
    Delay5Ms();
	DisplayOneChar(1,0,3+'0');
	    Delay5Ms();
//	DisplayOneChar(2,0,4+'0');
//	    Delay5Ms();
//	DisplayOneChar(3,0,2+'0');
//	    Delay5Ms();
//	DisplayOneChar(4,0,5+'0');
//
//	DisplayOneChar(5,0,5+'0');
//	DisplayOneChar(6,0,5+'0');
//	DisplayOneChar(7,0,'0');
//	DisplayOneChar(8,0,'0');
//	DisplayOneChar(9,0,'0');
//
//	DisplayOneChar(10,0,'1');
//	DisplayOneChar(11,0,'0');
//	DisplayOneChar(12,0,'1');
//	DisplayOneChar(13,0,'1');
//	DisplayOneChar(14,0,'1');
//
//	DisplayOneChar(15,0,'2');
//	DisplayOneChar(16,0,'1');
//	DisplayOneChar(17,0,'3');
//	DisplayOneChar(18,0,'1');
//	DisplayOneChar(19,0,'4');
	 Delay5Ms();



//
	DisplayOneChar(0,1,'A');
	 Delay5Ms();
	DisplayOneChar(1,1,'B');
//	 Delay5Ms();
//	DisplayOneChar(2,1,'C');
//	DisplayOneChar(3,1,'D');
//	DisplayOneChar(4,1,'E');
//
//	DisplayOneChar(5,1,'F');
//	DisplayOneChar(6,1,'G');
//	DisplayOneChar(7,1,'H');
//	DisplayOneChar(8,1,'I');
//	DisplayOneChar(9,1,'J');
//
//	DisplayOneChar(10,1,'K');
//	DisplayOneChar(11,1,'L');
//	DisplayOneChar(12,1,'M');
//	DisplayOneChar(13,1,'N');
//	DisplayOneChar(14,1,'O');
//
//	DisplayOneChar(15,1,'P');
//	DisplayOneChar(16,1,'Q');
//	DisplayOneChar(17,1,'R');
//	DisplayOneChar(18,1,'S');
//	DisplayOneChar(19,1,0+'0');
//





 while(1);
}

//
 


// DisplayListChar(0, 0, uctech);
// DisplayListChar(0, 1, net);
// ReadDataLCD();//þ


//ָλʾһַ
//void DisplayListChar(unsigned char X, unsigned char Y, unsigned char code *DData)
//{
// unsigned char ListLength;
//
//  ListLength = 0;
//// Y &= 0x1;
//// X &= 0xF; //Xܴ15Yܴ1
// while (DData[ListLength]>=0x15) //ִβ˳
//  {
////   if (X <= 0x14) //XӦС0xF
////    {
//     DisplayOneChar(X, Y, DData[ListLength]); //ʾַ
//     ListLength++;
//     X++;
////    }
//  }
//}